<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: PerformanceIndicators/linearity_index.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b9d706f4c7eb15683c21d61d5e422ea9.html">PerformanceIndicators</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">linearity_index.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4c8e4ac2c5b2e35fda34413ef72209b0"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="linearity__index_8m.html#a4c8e4ac2c5b2e35fda34413ef72209b0">linearity_index</a> (in test, in params)</td></tr>
<tr class="memdesc:a4c8e4ac2c5b2e35fda34413ef72209b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the linearity index.  <a href="#a4c8e4ac2c5b2e35fda34413ef72209b0">More...</a><br /></td></tr>
<tr class="separator:a4c8e4ac2c5b2e35fda34413ef72209b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94bf87bfec0b81f9eb23fbfab8172c38"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="linearity__index_8m.html#a94bf87bfec0b81f9eb23fbfab8172c38">mean_abs_error</a> (in tau1, in tau2)</td></tr>
<tr class="memdesc:a94bf87bfec0b81f9eb23fbfab8172c38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Support function for the linearity index.  <a href="#a94bf87bfec0b81f9eb23fbfab8172c38">More...</a><br /></td></tr>
<tr class="separator:a94bf87bfec0b81f9eb23fbfab8172c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a4c8e4ac2c5b2e35fda34413ef72209b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c8e4ac2c5b2e35fda34413ef72209b0">&#9670;&nbsp;</a></span>linearity_index()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function linearity_index </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>test</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compute the linearity index. </p>
<p>The linearity index is a value included in [0,1]. It represents the linearity of the system, where a value of 1 means that the system is linear.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">test</td><td>The experiment to analyze </td></tr>
    <tr><td class="paramname">params</td><td><a class="el" href="class_parameters.html" title="Class that handles the parameters for: simulation, motor, controller, reference signal and environmen...">Parameters</a> object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">index</td><td>The linearity index </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a94bf87bfec0b81f9eb23fbfab8172c38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94bf87bfec0b81f9eb23fbfab8172c38">&#9670;&nbsp;</a></span>mean_abs_error()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mean_abs_error </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>tau1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>tau2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Support function for the linearity index. </p>
<p>Don't use this function directly.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">taumax</td><td>Tau of step 1 </td></tr>
    <tr><td class="paramname">taumin</td><td>Tau of step 2</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">res</td><td>The mean absolute error </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
